# LConvertorL

Un script simple de conversion de relevé bancaire LCL du format PDF au format CSV.

Il fournis un fichier CSV formaté pour pouvoir être directement coller dans le fichier de compta.


## Installation

Récupération du script:
```bash
git clone https://git.iiens.net/raymond2020/lconvertorl.git
```

Installation des dépendences:
```bash
pip install "camelot-py[cv]" pandas argparser
```

*OPTIONNEL* Ajout du script dans les bin pour être utilisable partout:
```bash
cd LConvertorL
ln -s $(pwd)/releve2csv $HOME/.local/bin
```

## Usage

`releve2csv foo.pdf -o bar.csv`
Convertit le relevé pdf 'foo.pdf' en 'bar.csv'

Une fois le csv généré, il peut être ouvert avec LibreOffice, (optionnelement, on peut copier-coller la feuille dans une nouvelle feuille du fichier compta.

/!\ Faire attention de formater la première colonne en DATE, si le formatage ne marche pas et qu'une apostrophe est ajoutée avant les valeurs : selectionner la colonne puis Data -> Text to column (Donnée -> Text en colonne). 
Et voilà ! Plus qu'à copier-coller l'ensemble des valeurs dans la feuille de compta (Ctrl-Shift-V -> Values Only).


```bash
$ releve2csv -h

usage: releve2csv [-h] [-o OUT] [--full-label] path

Un simple script de convertion de relevé LCL pdf vers csv

positional arguments:
  path               Chemin du relevé pdf à convertir

options:
  -h, --help         show this help message and exit
  -o OUT, --out OUT  Chemin du fichier csv de sortie
  --full-label       Exporte toutes les lignes du relevé (dont REF et LABEL)
```
